app/home/views.py
from flask import current_app, request, render_template, redirect, url_for, Blueprint
from datetime import datetime
from app.logger import log_err
import app.directus as directus

blueprint = Blueprint(
    'home',
    __name__,
    url_prefix='/',
    static_folder="static",
    template_folder="templates")

################
# En la última línea de este archivo se definen las rutas de las causas
################

accepted_causas = {
    'genero': 'Género',
    'ambiente': 'Ambiente',
    #'vivienda': 'Vivienda',
    'transparencia': 'Transparencia',
    'drogas': 'Drogas',
    'trabajo': 'Trabajo',
    'derechos-digitales': 'Derechos digitales'
}


def get_menu_navs():
    navs = {'index': '', 'causas': '', 'cuentas': '', 'colaboraciones': '', 'contacto': ''}
    if request.endpoint:
        endpoint = request.endpoint.split('.')[1] if '.' in request.endpoint else request.endpoint
        if endpoint in accepted_causas.keys():
            navs['causas'] = 'active'
        elif endpoint in navs.keys():
            navs[endpoint] = 'active'
    return navs


def render_error(msg):
    return render_template(
        "error.html",
        navs=get_menu_navs(),
        msg=msg,
        url='/')


########################### ERRORES
@blueprint.app_errorhandler(500)
def server_error(e):
    log_err(current_app, 'Server error 500.', e, True)

    if not request.endpoint or request.endpoint == 'home.index':
        msg = "¡Ups! La página no está funcionando correctamente<br>"\
               "El equipo técnico ya está trabajando para arreglarla<br>"\
               "Por favor, vuelva más tarde"
    else:
        msg = "¡Ups! Ha surgido un error<br>"\
               "Por favor, regrese a la <a href='/'>página principal</a> y vuelva a internarlo"

    return render_error(msg)


@blueprint.app_errorhandler(404)
def not_found(e):
    msg = "No encontramos la página que está buscando<br>"\
          "Por favor, verifique que la dirección esté bien escrita o vuelva a la <a href='/'>página principal</a>"
    return render_error(msg)


@blueprint.before_request
def before_request():
    # si no está activo directus cancelamos la request, pero si es a un recurso estático la dejamos pasar
    #if request.endpoint != 'home.index':
    if not current_app.config['_using_directus'] and 'static' not in request.endpoint and 'home.' in request.endpoint:
        log_err(current_app, 'Directus in error state.', None, True)

        msg = "La página se encuentra en mantenimiento<br>"\
              "Por favor, vuelva en otro momento"
        return render_error(msg)


@blueprint.after_request
def after_request(response):
    # para que el cliente pueda (solo) cargar las imágenes del dominio de directus
    if current_app.config['_using_directus']:
        response.headers['Access-Control-Allow-Origin'] = current_app.config['DIRECTUS_URL_EXTERNAL']
    return response


@blueprint.route("/", methods=['GET'])
def index():
    if current_app.config['_using_directus']:
        import app.directus as directus
        dtextos = directus.dapi.get_textos_pagina('Home')
        dimgs = directus.dapi.get_imgs_pagina('Home')
        itemspropuestas = directus.dapi.get_items_propuestas()
        #itemsagenda = directus.dapi.get_items_agenda('Home')
    else:
        import app.content as content
        dtextos = content.textos_home()
        dimgs = {}
        itemspropuestas = content.items_propuestas()
        #itemsagenda = {}


    return render_template(
        'index.html',
        navs = get_menu_navs(),
        dtextos = dtextos,
        dimgs = dimgs,
        #itemsagenda = itemsagenda,
        itemspropuestas = itemspropuestas,
        index_de_testeo='indexDeTesteo' in request.endpoint)


@blueprint.route("/contacto", methods=['GET'])
def contacto():
    return render_template(
        'contacto.html',
        navs = get_menu_navs(),
        dtextos = directus.dapi.get_textos_pagina('Contacto'),
        dimgs = directus.dapi.get_imgs_pagina('Contacto'))


def _get_causa_from_endpoint():
    split = request.endpoint.split('.')
    if len(split) < 2:
        return None

    causa = request.endpoint.split('.')[1]
    # a algunos endpoints (como el de scrollys) le ponemos "_" en el nombre, después del nombre de la causa
    causa = causa.split('_')[0]
    if causa not in accepted_causas.keys():
        return None

    return causa


def causas_route():
    causa = _get_causa_from_endpoint()
    if causa is None:
        return redirect(url_for('home.index'))

    import app.directus as directus

    dtextoscausas = directus.dapi.get_textos_pagina('Causas')
    dtextos = directus.dapi.get_textos_pagina(causa)
    dimgs = directus.dapi.get_imgs_pagina(causa)
    itemsscrolly = directus.dapi.get_items_scrolly(causa)
    dmapa = directus.dapi.get_item_mapa(causa)

    #itemstemas = directus.dapi.get_items_tema(causa)
    #itemsagenda = directus.dapi.get_items_agenda(causa)
    #itemscompromisos = directus.dapi.get_items_compromisos(causa)

    causas_names = list(accepted_causas.keys())
    current_causa_i = causas_names.index(causa)

    if current_causa_i == 0:
        causa_prev = causas_names[-1]
        causa_next = causas_names[current_causa_i + 1]
    elif current_causa_i == len(causas_names) - 1:
        causa_prev = causas_names[current_causa_i - 1]
        causa_next = causas_names[0]
    else:
        causa_prev = causas_names[current_causa_i - 1]
        causa_next = causas_names[current_causa_i + 1]

    causa_prev_tit = accepted_causas[causa_prev]
    causa_next_tit = accepted_causas[causa_next]

    variables = {
        'navs': get_menu_navs(),

        'dtextoscausas': dtextoscausas,
        'dtextos': dtextos,
        'dimgs': dimgs,

        #'itemstemas': itemstemas,
        #'itemsagenda': itemsagenda,
        #'itemscompromisos': itemscompromisos,

        'show_wiki_btn': True,
        'causa': causa,
        'causa_prev': causa_prev,
        'causa_prev_tit': causa_prev_tit,
        'causa_next': causa_next,
        'causa_next_tit': causa_next_tit,
        'nombre_causa': accepted_causas[causa],
        'itemsscrolly': itemsscrolly,
        'dmapa': dmapa
    }

    return render_template('causa.html', **variables)


@blueprint.route("/cuentas", methods=['GET'])
def cuentas():
    import app.directus as directus
    dimgsnav = directus.dapi.get_imgs_pagina('Navegacion')
    dimgsfooter = directus.dapi.get_imgs_pagina('Footer')

    dtextos = directus.dapi.get_textos_pagina('Cuentas')

    from app.datos import Cuentas
    dataset_cuentas = Cuentas(blueprint.static_folder + '/datos-presupuesto.csv')
    dataset_headers = dataset_cuentas.get_rendered_headers()

    # if current_app._gsheetapi:
    if False:
        dataset_rows = dataset_cuentas.get_rows_from_gsheet(current_app._gsheetapi)
    else:
        # cols = datos.get_cols_from_csv(blueprint.static_folder + '/datos-presupuesto.csv')
        dataset_rows = dataset_cuentas.get_rows_from_csv()

    fechas_epoch = []
    fecha_i = dataset_headers.index('fecha')
    for row in dataset_rows:
        try:
            date = datetime.strptime(row[fecha_i], '%d/%m/%Y')
            date = date.strftime('%s')
        except:
            date = ''
        fechas_epoch.append(date)

    dataset_headers = [h.capitalize() for h in dataset_headers]

    return render_template(
        'transparencia.html',
        navs=get_menu_navs(),
        dimgsnav=dimgsnav,
        dimgsfooter=dimgsfooter,
        dtextos=dtextos,
        presu_heads=dataset_headers,
        presu_data=dataset_rows,
        fechas_epoch=fechas_epoch)



@blueprint.route("/colaboraciones", methods=['GET'])
def colaboraciones():
    import app.directus as directus
    dimgsnav = directus.dapi.get_imgs_pagina('Navegacion')
    dimgsfooter = directus.dapi.get_imgs_pagina('Footer')

    dtextos = directus.dapi.get_textos_pagina('Colaboraciones')

    from app.datos import Colaboraciones
    dataset_colaboraciones = Colaboraciones(blueprint.static_folder + '/CC_contabilidad_tiempo - Sheet1.csv')
    dataset_headers = dataset_colaboraciones.get_rendered_headers()

    # if current_app._gsheetapi:
    if False:
        dataset_rows = dataset_colaboraciones.get_rows_from_gsheet(current_app._gsheetapi)
    else:
        # cols = datos.get_cols_from_csv(blueprint.static_folder + '/datos-presupuesto.csv')
        dataset_rows = dataset_colaboraciones.get_rows_from_csv()

    # me guardo los aportantes y formateo las fechas
    aportantes = []
    aportantes_i = dataset_headers.index('aportante')
    fechas_epoch = []
    fecha_i = dataset_headers.index('fecha')
    for row in dataset_rows:
        if row[aportantes_i] and row[aportantes_i] not in aportantes:
            aportantes.append(row[aportantes_i])

        try:
            date = datetime.strptime(row[fecha_i], '%B')
            date = date.strftime('%s')
        except:
            date = ''
        fechas_epoch.append(date)

    # capitalizo los headers
    dataset_headers = [h.capitalize() for h in dataset_headers if h != 'aportante']

    # saco los aportantes del dataset
    dataset_rows_anon = []
    for row in dataset_rows:
        if aportantes_i < len(row):
            del row[aportantes_i]
        dataset_rows_anon.append(row)
    dataset_rows = None

    return render_template(
        'colaboraciones.html',
        navs=get_menu_navs(),
        dimgsnav=dimgsnav,
        dimgsfooter=dimgsfooter,
        dtextos=dtextos,
        aportantes=aportantes,
        presu_heads=dataset_headers,
        presu_data=dataset_rows_anon,
        fechas_epoch=fechas_epoch)



for causa in accepted_causas.keys():
    blueprint.add_url_rule(f'/{causa}', endpoint=causa, view_func=causas_route)

blueprint.add_url_rule(f'/indexDeTesteo', endpoint='indexDeTesteo', view_func=index)

app/home/templates/_backtotop.html
<button type="button" class="btn backtotop">
    <i class="fa fa-chevron-circle-up fa-3x"></i>
</button>

app/home/templates/_base.html
<!--https://www.w3schools.com/tags/tag_doctype.asp 22-->
<!doctype html>
<html lang="es">
<head>
    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-143699287-1"></script>
    <script>
      window.dataLayer = window.dataLayer || [];
      function gtag(){dataLayer.push(arguments);}
      gtag('js', new Date());

      gtag('config', 'UA-143699287-1');
    </script>
    
    <meta charset="UTF-8">	
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no, maximum-scale=1">
	<link rel="shortcut icon" type="image/png" href="{{url_for('home.static', filename='img/favicon.png')}}"/>
	
    <!--<link href="https://fonts.googleapis.com/css?family=Barlow:400,500,600&display=swap" rel="stylesheet">-->
    <!--<link href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">-->
    <link href="{{url_for('home.static', filename='css/bootstrap.min.css')}}" rel="stylesheet">
    <link href="{{url_for('home.static', filename='css/fontawesome-all.min.css')}}" rel="stylesheet">
    <link href="{{url_for('home.static', filename='css/navbar.css')}}" rel="stylesheet">
    <link href="{{url_for('home.static', filename='css/footer.css')}}" rel="stylesheet">
    {% block head %}{% endblock %}
</head>
<body>
    {% include "navbar.html"  %}

    <main role="main">
        {% block body %}{% endblock %}
    </main>

   <!--  {% include "_backtotop.html"  %} -->
    {% include "footer.html"  %}

    <!--<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>-->
    <script src="{{url_for('home.static', filename='js/lib/jquery.min.js')}}"></script>
    <script src="{{url_for('home.static', filename='js/lib/bootstrap.min.js')}}"></script>
    <script src="{{url_for('home.static', filename='js/navbar.js')}}"></script>
<!--     <script src="{{url_for('home.static', filename='js/backtotop.js')}}"></script>-->    
    {% block scripts %}{% endblock %}
</body>
</html>

app/home/templates/_imghelper.html
{% macro create_img_src(imgpath, isstatic=False) -%}
{% if not isstatic %}
{{imgpath}}
{% else %}
{{url_for('home.static', filename='img/'+imgpath)}}
{% endif %}
{%- endmacro %}

app/home/templates/causa.html
{% extends '_base.html' %}

{% from '_imghelper.html' import create_img_src %}

{% block head %}
    <title>Causas comunes</title>
    <link href="{{url_for('home.static', filename='css/flickity.css')}}" rel="stylesheet">
    <link href="{{url_for('home.static', filename='css/index.css')}}" rel="stylesheet">
    <link href="{{url_for('home.static', filename='css/causa.css')}}" rel="stylesheet">
    <link href="{{url_for('home.static', filename='css/scrolly.css')}}" rel="stylesheet">
    <link href="{{url_for('home.static', filename='css/featherlight.min.css')}}" rel="stylesheet">
{% endblock %}

{% block body %}
<div class="causa-wrapper causa-{{causa}}">
    <!-- LANDING -->
    {% include 'causa_sections/causa_landing.html' %}

    <!-- DEFINICION -->
    {% include 'causa_sections/causa_definicion.html' %}

    <!-- CHANGE -->
    {% include 'causa_sections/causa_change.html' %}

    <!-- SCROLLY -->
    {% include 'causa_sections/causa_scrolly.html' %}

    {% if dmapa %}
      <!-- MAPA -->
      {% include 'causa_sections/causa_mapa.html' %}
    {% endif %}

    <!-- COLABORAR -->
    {% include 'causa_sections/causa_colaborar.html' %}

    <!-- COLABORAR -->
    {% include 'causa_sections/causa_floating_arrows.html' %}

</div>
{% endblock %}

{% block scripts %}
    <script src="{{url_for('home.static', filename='js/lib/flickity.pkgd.min.js')}}"></script>
    <script src="{{url_for('home.static', filename='js/navsecondary.js')}}"></script>
    <script src="{{url_for('home.static', filename='js/causa.js')}}"></script>
  	<script src="{{url_for('home.static', filename='js/lib/featherlight.min.js')}}"></script>
{% endblock %}

app/home/templates/colaboraciones.html
{% extends '_base.html' %}

{% from '_imghelper.html' import create_img_src %}

{% block head %}
    <title>Causas comunes</title>
    <link href="{{url_for('home.static', filename='css/colaboraciones.css')}}" rel="stylesheet">
    <link href="{{url_for('home.static', filename='css/jquery.dataTables.min.css')}}" rel="stylesheet">
    <link href="{{url_for('home.static', filename='css/dataTables.bootstrap4.min.css')}}" rel="stylesheet">
{% endblock %}

{% block body %}

    <div class="container">
        <h2 class="section__title mb-3 mb-lg-4">Agradecimientos</h2>
		{% set aportantes_txt = ', '.join(aportantes[:-1]) + ' y ' + aportantes[-1] %}
		{% set agradeciemiento_txt = dtextos.get('agradecimiento', '').replace('@', aportantes_txt) %}
        <div class="disclaimer mb-4">{{agradeciemiento_txt}}</div>
        <div class="row">
            <div class="col-lg-6">
                <h2 class="section__subtitle">Tiempos por destino</h2>
                <canvas id="chart-tiempos-destino"></canvas>
            </div>
            <div class="col-lg-6 mt-4 mt-lg-0">
                <h2 class="section__subtitle">Tiempos por mes</h2>
                <canvas id="chart-bars-tiempos"></canvas>
            </div>
        </div>
        <h2 class="section__title my-4 my-lg-5">Datos</h2>
        <div class="table-wrapper">
            <table id="data-csv" class="table table-striped table-bordered display">
                <thead>
                    <tr>
                    {% for h in presu_heads %}
                        <th>{{h}}</th>
                    {% endfor %}
                    </tr>
                </thead>
                <tbody>
                {% for row in presu_data %}
                {% set outer_loop = loop %}
                    <tr>
                    {% for data in row %}
                        {# ponemos el sort como segundos desde epoch #}
                        {% if loop.index==1 %}
                        <td data-order="{{fechas_epoch[outer_loop.index-1]}}">{{data}}</td>
                        {% else %}
                        <td>{{data}}</td>
                        {% endif %}
                    {% endfor %}
                    </tr>
                {% endfor %}
                </tbody>
                <tfoot>
                    <tr>
                    {% for h in presu_heads %}
                        <th>{{h}}</th>
                    {% endfor %}
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
{% endblock %}

{% block scripts %}
    <script src="{{url_for('home.static', filename='js/lib/chart.js')}}"></script>
    <script src="{{url_for('home.static', filename='js/lib/jquery.dataTables.min.js')}}"></script>
    <script src="{{url_for('home.static', filename='js/lib/dataTables.bootstrap4.min.js')}}"></script>
    <script>
        _datatable_headers = [ {% for h in presu_heads %} '{{h}}', {% endfor %} ]
        _datatable_spa_json_url = "{{ url_for('home.static', filename='Spanish.json') }}"
    </script>
    <script src="{{url_for('home.static', filename='js/colaboraciones.js')}}"></script>
{% endblock %}

app/home/templates/contacto.html
{% extends '_base.html' %}

{% from '_imghelper.html' import create_img_src %}

{% block head %}
    <title>Causas comunes</title>
    <link href="{{url_for('home.static', filename='css/contacto.css')}}" rel="stylesheet">
{% endblock %}

{% block body %}

<div class="padding-onditaazul">&nbsp;</div>

<!-- Tuto mailchimp + bootstrap = https://bootstrapious.com/p/mailchimp-signup-form -->
<!-- Begin Mailchimp Signup Form -->
<!--<div id="mc_embed_signup">
<form action="https://causascomunes.us3.list-manage.com/subscribe/post?u=a2ed796c70f5a1770cbcb80ba&amp;id=885233fed6" method="post" id="mc-embedded-subscribe-form" name="mc-embedded-subscribe-form" class="validate" target="_blank" novalidate>
    <div id="mc_embed_signup_scroll">
        <div class="mc-field-group">
            <label for="mce-EMAIL">Email Address </label>
            <input type="email" value="" name="EMAIL" class="required email" id="mce-EMAIL">
        </div>
        <div id="mce-responses" class="clear">
            <div class="response" id="mce-error-response" style="display:none"></div>
            <div class="response" id="mce-success-response" style="display:none"></div>
        </div>-->    <!-- real people should not fill this in and expect good things - do not remove this or risk form bot signups-->
        <!--<div style="position: absolute; left: -5000px;" aria-hidden="true"><input type="text" name="b_a2ed796c70f5a1770cbcb80ba_885233fed6" tabindex="-1" value=""></div>
        <div class="clear"><input type="submit" value="Subscribe" name="subscribe" id="mc-embedded-subscribe" class="button"></div>
    </div>
</form>
</div>-->
<!--End mc_embed_signup-->

<!-- Los íconos que se ven son del footer -->

{% endblock %}

{% block scripts %}
{% endblock %}

app/home/templates/error.html
{% extends '_base.html' %}

{% from '_imghelper.html' import create_img_src %}

{% block head %}
    <title>Causas comunes - Ups!</title>
    <link href="{{url_for('home.static', filename='css/error.css')}}" rel="stylesheet">
{% endblock %}

{% block body %}

<section class="section padding-onditaazul">
    <div class="container mt-5 pt-lg-5">
        <div class="row justify-content-center ">
            <div class="text-center col-md-10">
                <h2 class="section__title"></h2>
                {# |safe hace que no escapee los #}
                <span class="section__subtitle mb-5">{{ msg|safe }}</span>
            </div>
        </div>
    </div>
</section>

<!-- Los íconos que se ven son del footer -->

{% endblock %}

{% block scripts %}
{% endblock %}

app/home/templates/footer.html
{% include 'newsletter.html' %}

<footer class="text-center py-5">
    <div class="container">
        <div class="row">
            <!-- Logo Causas Comunes  -->
            <div class="col-md-12 mt-3">
                <img class="logo-foot-cc" src="{{ url_for('home.static', filename='img/logos/CC_LogoNegro_mediano.png') }}" alt="Causas Comunes"/>
            </div>

            <!-- Social links  -->
            <div class="col-md-12 my-2 py-4">
                <!--Instagram-->
                <a target="_blank" rel="noopener noreferrer" class="ins-ic" href="https://www.instagram.com/causascomunes/" target="_blank">
                    <img class="md-5 mx-2" src="{{ url_for('home.static', filename='img/icons/social_instagram_icon.png') }}"></a>
                <!-- Facebook -->
                <a target="_blank" rel="noopener noreferrer" class="fb-ic" href="https://www.facebook.com/Causas-Comunes-449280685874685/" target="_blank">
                    <img class="md-5 mx-2" src="{{ url_for('home.static', filename='img/icons/social_facebook_icon.png') }}"></a>
                <!-- Twitter -->
                <a target="_blank" rel="noopener noreferrer" class="tw-ic" href="https://twitter.com/causas_comunes" target="_blank">
                    <img class="md-5 mx-2" src="{{ url_for('home.static', filename='img/icons/social_twitter_icon.png') }}"></a>
                <!-- Email -->
                <a class="mail-ic" href="mailto:causascomunesx@gmail.com" target="_blank">
                    <img class="md-5 mx-2" src="{{ url_for('home.static', filename='img/icons/social_mail_icon.png') }}"></a>
            </div>

            <!-- Copyleft  -->
            <div class="col-md-12 mb-3">
                <span class="footer__copyright">
                    Un proyecto convocado por
                    <a href="https://democraciaenred.org/" target="_blank">Democracia en Red</a> 
                    con el apoyo de
                    <a href="https://luminategroup.com/" target="_blank">
                        <img class="luminate-logo" src="{{ url_for('home.static', filename='img/logos/luminate_logo.png') }}" alt="Luminate Group" />
                    </a>
                </span>
            </div>
        </div>
    </div>
</footer>

app/home/templates/index.html
{% extends '_base.html' %}

{% from '_imghelper.html' import create_img_src %}

{% block head %}
    <title>Causas comunes</title>
    <link href="{{url_for('home.static', filename='css/index.css')}}" rel="stylesheet">
	{% if index_de_testeo %}
    <link href="{{url_for('home.static', filename='css/index-parallax.css')}}" rel="stylesheet">
    {% endif %}
{% endblock %}

{% block body %}
    <!-- LANDING -->
    {% include 'index_sections/index_landing.html' %}

    <!-- MANIFIESTO -->
    {% include 'index_sections/index_manifiesto.html' %}

    <!-- CAUSAS -->
    {% include 'index_sections/index_causas.html' %}

    <!-- ACCIONES -->
    {% include 'index_sections/index_acciones.html' %}

    <!-- NEWSLETTER -->
    {# include 'index_sections/index_newsletter.html' #}

	{% if index_de_testeo %}
    <!-- BG PARALLAX -->
    {% include 'index_sections/parallax.html' %}
	{% endif %}
{% endblock %}

{% block scripts %}
    <script src="{{url_for('home.static', filename='js/index.js')}}"></script>
	{% if index_de_testeo %}
    <script src="{{url_for('home.static', filename='js/lib/rellax.min.js')}}"></script>
    <script src="{{url_for('home.static', filename='js/index-parallax.js')}}"></script>
    <script> _data_parallax_img_path = '{{url_for('home.static', filename='img/parallax')}}'</script>
    {% endif %}
{% endblock %}

app/home/templates/navbar.html
<header>
    <!-- Ondita azul de background -->
    <img class="ondita-azul" src="{{ url_for('home.static', filename='img/home-background.svg') }}">
    <nav id="navbar" class="navbar fixed navbar-expand-lg py-3 px-3 px-lg-4">

        <!-- Menú hamburguesa mobile (solo en vista mobile) -->
        <button class="navbar-toggler p-0" type="button" data-toggle="collapse" data-target="#navbarMenu" aria-controls="navbarMenu"
            aria-expanded="false" aria-label="Toggle navigation">
            <img class="nav-menu-mobile" src="{{ url_for('home.static', filename='img/icons/menu_mobile.svg') }}" alt="Menu" />
        </button>

        <div class="navbar-brand">
          <!-- Loguito de la esquina -->
          <a href="{{ url_for('home.index') }}" class="mr-1 mr-md-3 ml-3 ml-md-0"><img src="{{ url_for('home.static', filename='img/logos/CC_LogoColor_chico.png') }}" alt="Causas Comunes" /></a>
          <!--Instagram-->
          <a target="_blank" rel="noopener noreferrer" class="ins-ic" href="https://www.instagram.com/causascomunes/" target="_blank">
              <img class="md-5 mx-2" src="{{ url_for('home.static', filename='img/icons/social_instagram_icon.png') }}"></a>
          <!-- Facebook -->
          <a target="_blank" rel="noopener noreferrer" class="fb-ic" href="https://www.facebook.com/Causas-Comunes-449280685874685/" target="_blank">
              <img class="md-5 mx-2" src="{{ url_for('home.static', filename='img/icons/social_facebook_icon.png') }}"></a>
          <!-- Twitter -->
          <a target="_blank" rel="noopener noreferrer" class="tw-ic" href="https://twitter.com/causas_comunes" target="_blank">
              <img class="md-5 mx-2" src="{{ url_for('home.static', filename='img/icons/social_twitter_icon.png') }}"></a>
        </div>

        <!-- Menú de navegación  -->
        <div class="collapse navbar-collapse" id="navbarMenu">
            <ul class="navbar-nav ml-md-5">
                <li class="nav-item">
                    <a class="nav-link px-3 px-lg-4 {{navs['index']}}" href="{{ url_for('home.index') }}">Inicio</a>
                </li>
                <li class="nav-item">
                    {% if request.endpoint in ['home.index'] %}
                    <a class="nav-link px-3 px-lg-4 scrollTo {{navs['causas']}}" href="#causas">Causas</a>
                    {% else %}
                    <a class="nav-link px-3 px-lg-4 {{navs['causas']}}" href="{{ url_for('home.index') }}#causas">Causas</a>
                    {% endif %}
                </li>
                <li class="nav-item">
                    <a class="nav-link px-3 px-lg-4" href="https://propuestas.causascomunes.org/">Propuestas</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link px-3 px-lg-4" href="https://diagnostico.causascomunes.org/">Wikis</a>
                </li>
                <!--<li class="nav-item">
                    <a class="nav-link px-3 px-lg-4 {{navs['cuentas']}}" href="{{ url_for('home.cuentas') }}">Cuentas claras</a>
                </li>-->
                <!--<li class="nav-item">
                    <a class="nav-link px-3 px-lg-4 {{navs['colaboraciones']}}" href="{{ url_for('home.colaboraciones') }}">Colaboraciones</a>
                </li>-->
                <li class="nav-item">
                    <a class="nav-link px-3 px-lg-4 {{navs['contacto']}}" href="{{ url_for('home.contacto') }}">Contacto</a>
                </li>
            </ul>
        </div>
    </nav>
</header>